> ## Documentation Index
> Fetch the complete documentation index at: https://www.ayrshare.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a User Profile

> Change a User Profile's title, disabled social networks, messaging status, tags, and linkage page header or logo settings, using its Profile Key.

Update an existing profile's title, hide title, list of disabled social platforms, or display the title.
The Profile Key in the header parameter is the User Profile to be updated.

## Header Parameters

**Authorization** `string` *required*

[API Key](https://www.ayrshare.com/docs/apis/overview.md#authorization) of the Primary Profile.

Format: `Authorization: Bearer API_KEY`
**Profile-Key** `string` *required*

[Profile Key](https://www.ayrshare.com/docs/apis/overview.md#profile-key-format) of a User Profile.

Format: `Profile-Key: PROFILE_KEY`

## Body Parameters

**disableSocial** `array`

Array of social networks that are disabled for this user's profile. The primary profile's list of disabled social networks takes precedence.

Available networks: `bluesky`, `facebook`, `gmb`, `instagram`, `linkedin`, `pinterest`, `reddit`, `snapchat`, `telegram`, `threads`, `tiktok`, `twitter`, and `youtube`.

See [here](https://www.ayrshare.com/docs/apis/profiles/overview.md#enable-or-disable-social-networks) for more information.

**title** `string`

Title of the profile. Must be unique. This title will be displayed on the social account linking page.

**messagingActive** `boolean` (default: false)

Set to true to activate messaging for this user profile. Messaging must first be enabled for your Ayrshare account.

**hideTopHeader** `boolean` (default: false)

Hide the top header on the social accounts linkage page.

**hideLogo** `boolean` (default: false)

Hide the company logo on the social accounts linkage page for this user profile only. The account-wide logo on other profiles is unaffected. Useful for white-labeling individual partner profiles while keeping branding on the rest.

**topHeader** `string`

Change the header on the social accounts linkage page. If not set, then displays: "Social Accounts for "title" where "title" is the profile title.

**tags** `array`

Tag user profiles using an array of strings. These tags serve as an internal organizational tool to categorize and manage your user profiles effectively.

```javascript cURL theme={"system"}
curl \
-H "Authorization: Bearer API_KEY" \
-H 'Content-Type: application/json' \
-d '{"profileKey": "Jokdf-903Js-j9sd0-Pow02-QS9n3", "title": "ACME Profile"}' \
-X PATCH https://api.ayrshare.com/api/profiles
```

```javascript JavaScript theme={"system"}
const API_KEY = "API_KEY";

fetch("https://api.ayrshare.com/api/profiles", {
      method: "PATCH",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer ${API_KEY}`
        "Profile-Key": "PROFILE_KEY";
      },
      body: JSON.stringify({
        title: "ACME Profile"
      }),
    })
      .then((res) => res.json())
      .then((json) => console.log(json))
      .catch(console.error);
```

```python Python theme={"system"}
import requests

payload = {'title': 'ACME Profile'}
headers = {'Content-Type': 'application/json',
        'Authorization': 'Bearer API_KEY',
        'Profile-Key': 'PROFILE_KEY'}

r = requests.patch('https://api.ayrshare.com/api/profiles',
    json=payload,
    headers=headers)

print(r.json())
```

```php PHP theme={"system"}
<?php

$url = 'https://api.ayrshare.com/api/profiles';
$apiKey = 'API_KEY';        // Replace with your actual API key
$profileKey = 'PROFILE_KEY'; // Replace with your actual Profile key
$data = ['title' => 'ACME Profile']; // Your data to be sent

$curl = curl_init();

curl_setopt_array($curl, [
    CURLOPT_URL => $url,
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'PATCH',
    CURLOPT_POSTFIELDS => json_encode($data),
    CURLOPT_HTTPHEADER => [
        'Content-Type: application/json',
        'Authorization: Bearer ' . $apiKey,
        'Profile-Key: ' . $profileKey
    ],
]);

$response = curl_exec($curl);

if (curl_errno($curl)) {
    echo 'Error:' . curl_error($curl);
} else {
    echo json_encode(json_decode($response), JSON_PRETTY_PRINT);
}

curl_close($curl);

```

```csharp C# theme={"system"}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;

namespace UpdateProfilePOSTRequest_csharp
{
  class UpdateProfile
  {
      static async Task Main(string[] args)
      {
          string API_KEY = "API_KEY";
          string PROFILE_KEY = "PROFILE_KEY"; // Make sure this is defined
          string url = "https://api.ayrshare.com/api/profiles";
          string json = "{\"title\": \"ACME Profile\"}";

          using (var client = new HttpClient())
          {
              client.DefaultRequestHeaders.Add("Authorization", "Bearer " + API_KEY);
              client.DefaultRequestHeaders.Add("Profile-Key", PROFILE_KEY);

              try
              {
                  var content = new StringContent(json, Encoding.UTF8, "application/json");
                  var request = new HttpRequestMessage
                  {
                      Method = new HttpMethod("PATCH"),
                      RequestUri = new Uri(url),
                      Content = content
                  };

                  HttpResponseMessage response = await client.SendAsync(request);
                  response.EnsureSuccessStatusCode();
                  string responseBody = await response.Content.ReadAsStringAsync();
                  Console.WriteLine(responseBody);
              }
              catch (HttpRequestException e)
              {
                  Console.WriteLine($"Error: {e.Message}");
              }
          }
      }
  }
}
```

```json 200: Success theme={"system"}
{
    "status": "success",
    "refId": "b1eb30ce50607a40000b220c01c20a88a49fe76f"
}
```

```json 400: Profile Key not found theme={"system"}
{
  "action": "post",
  "status": "error",
  "code": 144,
  "message": "Some profiles not found. Please verify the Profile Keys."
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.